# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::UniformSet Class Reference

A set of Uniform objects managed by a Shader. More...

`#include <Uniform.hpp>`

Inheritance diagram for vl::UniformSet:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| UniformSet ()
void | setUniform (Uniform *uniform, bool check_for_doubles=true)
const std::vector< ref < Uniform > > & | uniforms () const
void | eraseUniform (const std::string &name)
void | eraseUniform (const Uniform *uniform)
void | eraseAllUniforms ()
Uniform * | gocUniform (const std::string &name)
Uniform * | getUniform (const std::string &name)
const Uniform * | getUniform (const std::string &name) const

## Protected Attributes

std::vector< ref< Uniform > > | mUniforms

## Detailed Description

A set of Uniform objects managed by a Shader.

See also:
  Shader, Effect, Actor

## Constructor & Destructor Documentation

vl::UniformSet::UniformSet | ( |  | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::UniformSet::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

void vl::UniformSet::setUniform | ( | Uniform * | uniform,
|  | bool | check_for_doubles = `true` |
| ) |  |  | `[inline]`

const std::vector< ref<Uniform> >& vl::UniformSet::uniforms | ( |  | ) | const`[inline]`

void vl::UniformSet::eraseUniform | ( | const std::string & | name | ) | `[inline]`

void vl::UniformSet::eraseUniform | ( | const Uniform * | uniform | ) | `[inline]`

void vl::UniformSet::eraseAllUniforms | ( |  | ) | `[inline]`

Uniform* vl::UniformSet::gocUniform | ( | const std::string & | name | ) | `[inline]`

Uniform* vl::UniformSet::getUniform | ( | const std::string & | name | ) | `[inline]`

const Uniform* vl::UniformSet::getUniform | ( | const std::string & | name | ) | const`[inline]`

## Member Data Documentation

std::vector< ref<Uniform> > vl::UniformSet::mUniforms`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Uniform.hpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:45 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.